/*
 * file.i.t.c
 * Copyright (C) 2008-2013, 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <file-types.h>
#include <lxdata.h>

#define file(file) \
    ((struct eifile_type *) (file))

extern const struct sffile_type _libx1f4_file_i_sdfile;

int
_libx1f4i0_land_ifile(void *file, void *data, void *text)
{
    struct cdfile_type *edfile_data;

    edfile_data = (void *) &file(file)->sd;

    edfile_data->slip = 0;
    edfile_data->text = text;

    x1f4_node_lxdata(NULL, &edfile_data->data, data, NULL);

    file(file)->size = 0;

    file(file)->sf = &_libx1f4_file_i_sdfile;

    return 0;
}
