/*
 * lxdata-d.i.c
 * Copyright (C) 2008-2014, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <e4.h>
#include <lxdata-inter.h>
#include <lxdata-types.h>

#define I_DATA(t)			(*((X1f4_E4_C_USER *) (t)))

#define l_MODE(e, output) \
    {									      \
	X1f4_E4_C_MODE *l;						      \
									      \
	l = (void *) (output);						      \
	*l = (e);							      \
    }

int
_libx1f4i0_lxdata_i_derived(void *context, void *output, void **input)
{
    int status;

    do {
	struct dxdata_type *dxdata_data;

	dxdata_data = I_DATA(input[0]);

	if (dxdata_data->length) {
	} else {
	    status = _libx1f4i0_lxdata_stat_null(context);
	    if (1) {
		break;
	    }
	}

	status = 0;

	l_MODE(*(unsigned char *) dxdata_data->string, output);
    } while (0);

    return status;
}
