/*
 * lxdecq-e.r.c
 * Copyright (C) 2010, 2011, 2013-2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <lxdecq-inter.h>
#include <lxnote.h>
#include <lxrail.h>

static const struct x1f4_lxnote_type fail_note = {
/* *INDENT-OFF* */
    _libx1f4i0_lxdecq_bset_list,
    _libx1f4i0_lxrail_cfix_rail,
    _libx1f4i0_lxdecq_clip_list,
    _libx1f4i0_lxdecq_dset_list,
    _libx1f4i0_lxdecq_fini_list,
    _libx1f4i0_lxdecq_fset_list,
    NULL,
    _libx1f4i0_lxdecq_near_list,
    _libx1f4i0_lxdecq_seek_list,
    _libx1f4i0_lxdecq_tile_list,
    NULL,
    NULL,
    0
/* *INDENT-ON* */
};

int
x1f4_note_lxdecq(const struct x1f4_lxnote_type **lxnote)
{
    *lxnote = &fail_note;

    return 0;
}
